Index: CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/file_def_nemo-opa.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/file_def_nemo-opa.xml	(revision 3482)
+++ CONFIG/UNIFORM/v6/IPSLESM6/GENERAL/PARAM/file_def_nemo-opa.xml	(revision 3687)
@@ -11,17 +11,17 @@
     <file_definition type="one_file" name="@expname@_@freq@" sync_freq="1d" min_digits="4">
     
-      <file_group id="1ts" output_freq="1ts"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
-
-      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
-
-      <file_group id="2h" output_freq="2h"  output_level="10" enabled=".TRUE."/> <!-- 2h files -->
-
-      <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
-
-      <file_group id="4h" output_freq="4h"  output_level="10" enabled=".TRUE."/> <!-- 4h files -->
-
-      <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->     
+      <file_group id="1ts_opa" output_freq="1ts"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
+
+      <file_group id="1h_opa" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
+
+      <file_group id="2h_opa" output_freq="2h"  output_level="10" enabled=".TRUE."/> <!-- 2h files -->
+
+      <file_group id="3h_opa" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
+
+      <file_group id="4h_opa" output_freq="4h"  output_level="10" enabled=".TRUE."/> <!-- 4h files -->
+
+      <file_group id="6h_opa" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->     
     
-      <file_group id="1d" output_freq="1d"  output_level="10" enabled="_AUTO_">  <!-- 1d files -->   
+      <file_group id="1d_opa" output_freq="1d"  output_level="10" enabled="_AUTO_">  <!-- 1d files -->   
 	
         <file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
@@ -143,5 +143,5 @@
       </file_group> 
 
-      <file_group id="5d" output_freq="5d"  output_level="10" enabled="_AUTO_">  <!-- 5d files -->   
+      <file_group id="5d_opa" output_freq="5d"  output_level="10" enabled="_AUTO_">  <!-- 5d files -->   
 
         <file id="file25" name_suffix="_grid_T" >
@@ -180,7 +180,21 @@
         </file>
 
+        <file id="file30" name_suffix="_trdtra" description="ocean trends variables" >
+          <field field_ref="ttrd_zdfp_e3t"   name="ttrdtr_zdfp"  long_name="Tendency_of_heat_content_from_parameterized_dianeutral_mixing"  unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_eivad_e3t"  name="ttrdtr_eivad" long_name="Tendency_of_heat_content_from_parameterized_eddy_advection"     unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_iso_e3t"    name="ttrdtr_iso"   long_name="Tendency_of_heat_content_from_parameterized_eddy_diffusion"     unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_totad_e3t"  name="ttrdtr_totad" long_name="Tendency_of_heat_content_from_residual_mean_advection"          unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_tot_e3t"    name="ttrdtr_tot"   long_name="Tendency_of_heat_content_from_all_processes"                    unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="strd_zdfp_e3t"   name="strdtr_zdfp"  long_name="Tendency_of_salt_content_from_parameterized_dianeutral_mixing"  unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_eivad_e3t"  name="strdtr_eivad" long_name="Tendency_of_salt_content_from_parameterized_eddy_advection"     unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_iso_e3t"    name="strdtr_iso"   long_name="Tendency_of_salt_content_from_parameterized_eddy_diffusion"     unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_totad_e3t"  name="strdtr_totad" long_name="Tendency_of_salt_content_from_residual_mean_advection"          unit="kg m-2 s-1" > this * $rau0  </field>
+          <field field_ref="strd_tot_e3t"    name="strdtr_tot"   long_name="Tendency_of_salt_content_from_all_processes"                    unit="kg m-2 s-1" > this * $rau0  </field>
+        </file>
+
+
       </file_group> 
 	
-      <file_group id="1m" output_freq="1mo" output_level="10" enabled="_AUTO_"> <!-- real monthly files -->
+      <file_group id="1m_opa" output_freq="1mo" output_level="10" enabled="_AUTO_"> <!-- real monthly files -->
 
         <file id="file4" name_suffix="_grid_T" >
@@ -324,5 +338,5 @@
 	</file>
 
-	<file id="file8" name_suffix="_scalar" description="scalar variables" enabled=".true." >
+	<file id="file8" name_suffix="_scalar" description="scalar variables"  >
 
 	  <!-- Volume -->
@@ -377,5 +391,5 @@
         </file>
 
-	<file id="file9" name_suffix="_diaptr" description="diaptr variables" enabled=".true." >
+	<file id="file9" name_suffix="_diaptr" description="diaptr variables"  >
 	  <field field_ref="zomsfglo"          name="zomsfglo"  grid_ref="grid_ptr_W_3D" />
           <field field_ref="zomsfatl"          name="zomsfatl"  grid_ref="grid_ptr_W_3D" />
@@ -404,13 +418,27 @@
         </file>
 
+
+        <file id="file31" name_suffix="_trdtra" description="ocean trends variables" >
+          <field field_ref="ttrd_zdfp_e3t"   name="ttrdtr_zdfp"  long_name="Tendency_of_heat_content_from_parameterized_dianeutral_mixing"  unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_eivad_e3t"  name="ttrdtr_eivad" long_name="Tendency_of_heat_content_from_parameterized_eddy_advection"     unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_iso_e3t"    name="ttrdtr_iso"   long_name="Tendency_of_heat_content_from_parameterized_eddy_diffusion"     unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_totad_e3t"  name="ttrdtr_totad" long_name="Tendency_of_heat_content_from_residual_mean_advection"          unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_tot_e3t"    name="ttrdtr_tot"   long_name="Tendency_of_heat_content_from_all_processes"                    unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="strd_zdfp_e3t"   name="strdtr_zdfp"  long_name="Tendency_of_salt_content_from_parameterized_dianeutral_mixing"  unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_eivad_e3t"  name="strdtr_eivad" long_name="Tendency_of_salt_content_from_parameterized_eddy_advection"     unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_iso_e3t"    name="strdtr_iso"   long_name="Tendency_of_salt_content_from_parameterized_eddy_diffusion"     unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_totad_e3t"  name="strdtr_totad" long_name="Tendency_of_salt_content_from_residual_mean_advection"          unit="kg m-2 s-1" > this * $rau0  </field>
+          <field field_ref="strd_tot_e3t"    name="strdtr_tot"   long_name="Tendency_of_salt_content_from_all_processes"                    unit="kg m-2 s-1" > this * $rau0  </field>
+        </file>
+
       </file_group>
 
 
-      <file_group id="2m" output_freq="2mo" output_level="10" enabled=".TRUE."/> <!-- real 2m files -->
-      <file_group id="3m" output_freq="3mo" output_level="10" enabled=".TRUE."/> <!-- real 3m files -->
-      <file_group id="4m" output_freq="4mo" output_level="10" enabled=".TRUE."/> <!-- real 4m files -->
-      <file_group id="6m" output_freq="6mo" output_level="10" enabled=".TRUE."/> <!-- real 6m files -->
-
-      <file_group id="1y"  output_freq="1y" output_level="10" enabled="_AUTO_"> <!-- real yearly files -->
+      <file_group id="2m_opa" output_freq="2mo" output_level="10" enabled=".TRUE."/> <!-- real 2m files -->
+      <file_group id="3m_opa" output_freq="3mo" output_level="10" enabled=".TRUE."/> <!-- real 3m files -->
+      <file_group id="4m_opa" output_freq="4mo" output_level="10" enabled=".TRUE."/> <!-- real 4m files -->
+      <file_group id="6m_opa" output_freq="6mo" output_level="10" enabled=".TRUE."/> <!-- real 6m files -->
+
+      <file_group id="1y_opa"  output_freq="1y" output_level="10" enabled="_AUTO_"> <!-- real yearly files -->
 
 	<file id="file10" name_suffix="_grid_T" description="ocean T grid variables" >
@@ -518,9 +546,23 @@
 	  
 	</file>   
+
+        <file id="file32" name_suffix="_trdtra" description="ocean trends variables" >
+          <field field_ref="ttrd_zdfp_e3t"   name="ttrdtr_zdfp"  long_name="Tendency_of_heat_content_from_parameterized_dianeutral_mixing"  unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_eivad_e3t"  name="ttrdtr_eivad" long_name="Tendency_of_heat_content_from_parameterized_eddy_advection"     unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_iso_e3t"    name="ttrdtr_iso"   long_name="Tendency_of_heat_content_from_parameterized_eddy_diffusion"     unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_totad_e3t"  name="ttrdtr_totad" long_name="Tendency_of_heat_content_from_residual_mean_advection"          unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="ttrd_tot_e3t"    name="ttrdtr_tot"   long_name="Tendency_of_heat_content_from_all_processes"                    unit="W m-2"      > this * $cpocean * $rau0  </field>
+          <field field_ref="strd_zdfp_e3t"   name="strdtr_zdfp"  long_name="Tendency_of_salt_content_from_parameterized_dianeutral_mixing"  unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_eivad_e3t"  name="strdtr_eivad" long_name="Tendency_of_salt_content_from_parameterized_eddy_advection"     unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_iso_e3t"    name="strdtr_iso"   long_name="Tendency_of_salt_content_from_parameterized_eddy_diffusion"     unit="kg m-2 s-1" > this * $rau0 </field>
+          <field field_ref="strd_totad_e3t"  name="strdtr_totad" long_name="Tendency_of_salt_content_from_residual_mean_advection"          unit="kg m-2 s-1" > this * $rau0  </field>
+          <field field_ref="strd_tot_e3t"    name="strdtr_tot"   long_name="Tendency_of_salt_content_from_all_processes"                    unit="kg m-2 s-1" > this * $rau0  </field>
+        </file>
+
       </file_group>
       
-      <file_group id="2y"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
-      <file_group id="5y"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
-      <file_group id="10y" output_freq="10y" output_level="10" enabled=".TRUE."/> <!-- real 10y files -->
+      <file_group id="2y_opa"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
+      <file_group id="5y_opa"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
+      <file_group id="10y_opa" output_freq="10y" output_level="10" enabled=".TRUE."/> <!-- real 10y files -->
       
     </file_definition>