Index: CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/orchidee.def_CWRR	(revision 2456)
+++ CONFIG/UNIFORM/v6/IPSLCM6CHT/GENERAL/PARAM/orchidee.def_CWRR	(revision 3688)
@@ -2,4 +2,5 @@
 #**************************************************************************
 #                    Parameter file list for ORCHIDEE
+# See all optional parameters in modipsl/modeles/ORCHIDEE/orchidee.default
 #**************************************************************************
 
@@ -19,70 +20,55 @@
 
 # Use XIOS for writing diagnostics file
-# defulat = n
-XIOS_ORCHIDEE_OK = _AUTO_
-
-# Flag to activate sechiba_out_2.nc history file for SECHIBA
-# default  = FALSE
-SECHIBA_HISTFILE2 = _AUTO_
-
-# SECHIBA history output level (0..10)
-# default = 5
-SECHIBA_HISTLEVEL = _AUTO_
-
-# SECHIBA history 2 output level (0..10)
-# default = 1
-SECHIBA_HISTLEVEL2 = _AUTO_
-
-# STOMATE history output level (0..10)
-# default = 10
-STOMATE_HISTLEVEL = _AUTO_
+# default = y
+XIOS_ORCHIDEE_OK = y
 
 # Writefrequency in seconds in sechiba_history.nc
-# default = 86400.0
-WRITE_STEP = _AUTO_
-
-# Writefrequency in seconds sechiba_out_2.nc 
-# default = 1800.0
-WRITE_STEP2 = _AUTO_
-
-# Writefrequency in days in stomate_history.nc
-# default = 10.
-STOMATE_HIST_DT = _AUTO_
-
-# Writefrequency in days or -1 for monthly output in stomate_ipcc_history.nc
-# default = 0.
-STOMATE_IPCC_HIST_DT = -1
-
+# default = 0
+WRITE_STEP = 0
+
+# Print level for text output in out_orchidee_*
+# PRINTLEV = 1 : some output in initialization phase
+# PRINTLEV = 2 : more output in initialization phase and printing of new date
+# PRINTLEV = 3, 4,.. : more output also at each timestep
+PRINTLEV=1
 
 # Hydrology parameters
 #**************************************************************************
 # Activate the multi-layer diffusion scheme adapted from CWRR
-# by default the Choisnel hydrology is used.
-# default = n
+# default = y
 HYDROL_CWRR = y
 
-# Total depth of soil reservoir
-# default = 2./4. depending on HYDROL_CWRR
-HYDROL_SOIL_DEPTH = 2.
-
-# Root profile
-HYDROL_HUMCSTE = 5.0, 0.8, 0.8, 1.0, 0.8, 0.8, 1.0, 1.0, 0.8, 4.0, 4.0, 4.0, 4.0 
-
 # Activate river routing
-# default = n
+# default = y
 RIVER_ROUTING = y
 
+# Activate creation of river_desc.nc file
+# RIVER_DESC will be activated only the first execution in the simulation. 
+RIVER_DESC = _AUTO_
+
+# SOILTYPE_CLASSIF :  Type of classification used for the map of soil types (default zobler)
+SOILTYPE_CLASSIF = zobler 
+SOILALB_FILE     = soils_param.nc
+SOILCLASS_FILE   = soils_param.nc
+
+# DO_RSOIL : Reduce soil evaporation with a soil resistance (default n)
+DO_RSOIL = n
+
+# To make AVAN and NVAN constant with depth (default CWRR_AKS_A0=0, CWRR_AKS_POWER=0, CWRR_NKS_A0=0, CWRR_NKS_POWER=0 )
+CWRR_AKS_A0 = 0.
+CWRR_AKS_POWER = 0.
+CWRR_NKS_A0 = 0.
+CWRR_NKS_POWER = 0.
 
 #**************************************************************************
 # Activate Stomate component
-# default = n
 STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
 
 # Activate calculations of CO2 according to Farqhuar and Ball
-# default = n
+# default = y
 STOMATE_OK_CO2 = y
 
-# Use cdrag coefficient from gcm
-CDRAG_FROM_GCM = y
+# CDRAG_from_GCM: Use cdrag coefficient from gcm (default=y if coupled to LMDZ)
+CDRAG_from_GCM = y
 
 # Interception reservoir coefficient.
@@ -90,33 +76,150 @@
 SECHIBA_QSINT = 0.02
 
-# Parmeters related to vegetation map
-#**************************************************************************
-# Read a land_use vegetation map
-# default = n
-LAND_USE = y
-
-# Year of the land_use vegetation map readed
-# year off the pft map
-# default = 282
-VEGET_YEAR = 1
-
-# The parameter is used to bypass veget_year count 
-# and reinitialize it with VEGET_YEAR parameter.
-# Then it is possible to change LAND USE file.
-# If LAND_USE
-# default = y
-VEGET_REINIT = n
-
-# Update vegetation frequency (since 2.0 version)
-# The veget datas will be update at this period if LAND_USE
+# Use 15 PFTs. Note that PFTmap.nc must contains 15PFTs.
+# PFT=10, 14 and 15 share the same parametrization except for VCMAX and LAI_MAX specified below.  
+NVM=15
+PFT_TO_MTC=1,2,3,4,5,6,7,8,9,10,11,12,13,10,10
+NAME__10='temperate C3           grass      '
+NAME__14='tropical  C3           grass      '
+NAME__15='boreal    C3           grass      '
+
+# STRESS_GS, STRESS_GM, STRESS_VCMAX : Stress on GS, GM and VCMAX
+# Default STRESS_GS=1, STRESS_GM=1, STRESS_VCMAX=1 for all PFTs
+STRESS_GS=1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.
+STRESS_GM=1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.
+STRESS_VCMAX=1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.
+
+# Optimized parameters for albedo (default values)
+ALB_LEAF_NIR = 0.,0.23,0.18,0.18,0.20,0.24,0.15,0.26,0.20,0.24,0.27,0.28,0.26,0.24,0.24
+ALB_LEAF_VIS = 0.,0.04,0.04,0.04,0.04,0.03,0.03,0.03,0.03,0.06,0.06,0.06,0.06,0.06,0.06
+SNOWA_AGED_NIR = 0.50,0,0,0.10,0.37,0.08,0.16,0.17,0.27,0.44,0.44,0.44,0.44,0.44,0.44
+SNOWA_DEC_NIR = 0.13,0,0,0.10,0.10,0.16,0.04,0.07,0.08,0.12,0.12,0.12,0.12,0.12,0.12
+SNOWA_AGED_VIS = 0.74,0,0,0.08,0.24,0.07,0.18,0.18,0.33,0.57,0.57,0.57,0.57,0.57,0.57
+SNOWA_DEC_VIS = 0.21,0,0,0.14,0.08,0.17,0.05,0.06,0.09,0.15,0.15,0.15,0.15,0.15,0.15
+
+# Optimized parameters for photosynthetic capacity 
+# Default values except for PFT=15
+VCMAX25__02 = 45.0
+VCMAX25__03 = 45.0
+VCMAX25__04 = 35.0
+VCMAX25__05 = 40.0
+VCMAX25__06 = 50.0
+VCMAX25__07 = 45.0
+VCMAX25__08 = 35.0
+VCMAX25__09 = 35.0
+VCMAX25__10 = 50.0
+VCMAX25__11 = 50.0
+VCMAX25__12 = 60.0
+VCMAX25__13 = 60.0
+VCMAX25__14 = 50.0
+VCMAX25__15 = 40.0
+
+# Optimized parameters for LAI
+# Default values except for PFT=15
+LAI_MAX__02 = 7.0
+LAI_MAX__03 = 5.0
+LAI_MAX__04 = 5.0
+LAI_MAX__05 = 4.0
+LAI_MAX__06 = 5.0
+LAI_MAX__07 = 3.5
+LAI_MAX__08 = 4.0
+LAI_MAX__09 = 3.0
+LAI_MAX__10 = 2.5
+LAI_MAX__11 = 2.0
+LAI_MAX__12 = 5.0
+LAI_MAX__13 = 5.0
+LAI_MAX__14 = 2.5
+LAI_MAX__15 = 2.0
+
+# Activate downregulation for CO2
+DOWNREGULATION_CO2=y
+DOWNREGULATION_CO2_BASELEVEL=380.
+
+# Activate harvest of wood
+DO_WOOD_HARVEST=y
+
+# Growth respiration (default values except for PFT=14 and PFT=15)
+FRAC_GROWTHRESP__02 = 0.35
+FRAC_GROWTHRESP__03 = 0.35
+FRAC_GROWTHRESP__04 = 0.28
+FRAC_GROWTHRESP__05 = 0.28
+FRAC_GROWTHRESP__06 = 0.28
+FRAC_GROWTHRESP__07 = 0.35
+FRAC_GROWTHRESP__08 = 0.35
+FRAC_GROWTHRESP__09 = 0.35
+FRAC_GROWTHRESP__10 = 0.28
+FRAC_GROWTHRESP__11 = 0.28
+FRAC_GROWTHRESP__12 = 0.28
+FRAC_GROWTHRESP__13 = 0.28
+FRAC_GROWTHRESP__14 = 0.35
+FRAC_GROWTHRESP__15 = 0.35
+
+# Maintenance respiration slope C (default values except for PFT=14 and PFT=15)
+MAINT_RESP_SLOPE_C__02 = 0.12
+MAINT_RESP_SLOPE_C__03 = 0.12
+MAINT_RESP_SLOPE_C__04 = 0.16
+MAINT_RESP_SLOPE_C__05 = 0.16
+MAINT_RESP_SLOPE_C__06 = 0.16
+MAINT_RESP_SLOPE_C__07 = 0.25
+MAINT_RESP_SLOPE_C__08 = 0.25
+MAINT_RESP_SLOPE_C__09 = 0.25
+MAINT_RESP_SLOPE_C__10 = 0.16
+MAINT_RESP_SLOPE_C__11 = 0.12
+MAINT_RESP_SLOPE_C__12 = 0.16
+MAINT_RESP_SLOPE_C__13 = 0.12
+MAINT_RESP_SLOPE_C__14 = 0.12
+MAINT_RESP_SLOPE_C__15 = 0.25
+
+# Soil turnover (default CARBON_TAU=7, CARBON_TAU_IPASSOVE=300)
+CARBON_TAU_ISLOW = 7
+CARBON_TAU_IPASSIVE = 300
+
+# Take carbon from atmosphere if carbohydrate reserve too small, PFT dependent
+# Set to y for all pft except C4 grass (pft=11) and tropical C3 grass (pft=14)
+ALWAYS_INIT =  y, y, y, y, y, y, y, y, y, y, n, y, y, n, y
+
+# Do not use default fire module
+# Default FIRE_DISABLE=y
+FIRE_DISABLE = y
+
+# Parameters related to vegetation map
+#**************************************************************************
+# Update vegetation frequency
+# The maximum vegetation fractions will be update at this period
 # default = 1Y
 VEGET_UPDATE = _AUTO_
 
-# treat land use modifications
-# With this variable, you can use a Land Use map
-# to simulate anthropic modifications such as   
-# deforestation.                                
-# If LAND_USE
-# default = y
-LAND_COVER_CHANGE = _AUTO_
-
+
+# Parameters related to surface and thermal physical properties
+#************************************************************************
+# Read bare soil albedo from file with background MODIS data
+# Default ALB_BG_MODIS=y
+ALB_BG_MODIS = y
+ALB_BG_FILE  = alb_bg.nc
+
+# ROUGH_DYN : Account for a dynamic roughness height (activation of Su et al. parametrization) (default y)
+ROUGH_DYN=y
+
+# OK_FREEZE :  Activate the complet soil freezing scheme (default y)
+OK_FREEZE=y
+
+# DEPTH_MAX_T (m) :  Maximum depth of the soil thermodynamics (default 90)
+DEPTH_MAX_T=90
+
+# OK_EXPLICITSNOW :  Activate explict snow scheme (default y)
+OK_EXPLICITSNOW=y
+ 
+# READ_REFTEMP :  Initialize soil temperature using climatological temperature (default y if OK_FREEZE=y)
+READ_REFTEMP=y
+
+# Parameters related to chemistry bvoc 
+#************************************************************************
+# CHEMISTRY_OK_BVOC :  Activate chemistry
+CHEMISTRY_BVOC =  n
+
+# CO2 FOR BVOC - WILKINSON :  CO2 inhibition effect for isoprene based on Wilkinson approach?
+CO2_FOR_BVOC_WILKINSON=n
+
+# CO2 FOR BVOC - POSSELL :  CO2 inhibition effect for isoprene based on Possell approach?
+CO2_FOR_BVOC_POSSELL=n
+