Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card	(revision 3699)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card	(revision 3700)
@@ -35,5 +35,5 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/config/IPSLCM6/SOURCES/NEMO/field_def_nemo-pisces.xml    		       , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 3699)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/pdControl/COMP/pisces.card	(revision 3700)
@@ -35,5 +35,5 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/config/IPSLCM6/SOURCES/NEMO/field_def_nemo-pisces.xml   		       , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 3699)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 3700)
@@ -35,5 +35,5 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/config/IPSLCM6/SOURCES/NEMO/field_def_nemo-pisces.xml   		       , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card	(revision 3699)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/pisces.card	(revision 3700)
@@ -35,5 +35,5 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/config/IPSLCM6/SOURCES/NEMO/field_def_nemo-pisces.xml   		       , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
      	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                  , namelist_top_cfg           ), \
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_S/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_S/COMP/pisces.card	(revision 3699)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_S/COMP/pisces.card	(revision 3700)
@@ -35,5 +35,5 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/config/IPSLCM6/SOURCES/NEMO/field_def_nemo-pisces.xml   		       , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_T/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_T/COMP/pisces.card	(revision 3699)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLCM/piControl_T/COMP/pisces.card	(revision 3700)
@@ -35,5 +35,5 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/config/IPSLCM6/SOURCES/NEMO/field_def_nemo-pisces.xml    		       , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/pdControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/pdControl/COMP/pisces.card	(revision 3699)
+++ CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/AER/pdControl/COMP/pisces.card	(revision 3700)
@@ -35,5 +35,5 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                             , namelist_top_ref           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                          , namelist_pisces_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${MODIPSL}/config/IPSLCM6/SOURCES/NEMO/field_def_nemo-pisces.xml       	       , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
Index: CONFIG/UNIFORM/v6/IPSLESM6/SOURCES/NEMO/field_def_nemo-pisces.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/SOURCES/NEMO/field_def_nemo-pisces.xml	(revision 3699)
+++ CONFIG/UNIFORM/v6/IPSLESM6/SOURCES/NEMO/field_def_nemo-pisces.xml	(revision 3700)
@@ -82,5 +82,5 @@
        <field id="PHY2SFC_E3T"      long_name="Surface Diatoms Content"                   field_ref="PHY2_E3T"     grid_ref="grid_T_SFC" />
        <field id="ZOO2SFC_E3T"      long_name="Surface Mesozooplankton Content"           field_ref="ZOO2_E3T"     grid_ref="grid_T_SFC" />
-       <field id="DSiSFC_E3T"       long_name="Surface Diatoms Silicate Content"          field_ref="Dsi_E3T"      grid_ref="grid_T_SFC" />
+       <field id="DSiSFC_E3T"       long_name="Surface Diatoms Silicate Content"          field_ref="DSi_E3T"      grid_ref="grid_T_SFC" />
        <field id="FerSFC_E3T"       long_name="Surface Dissolved Iron Content"            field_ref="Fer_E3T"      grid_ref="grid_T_SFC" />
        <field id="BFeSFC_E3T"       long_name="Surface Big iron particles Content"        field_ref="BFe_E3T"      grid_ref="grid_T_SFC" />
@@ -104,20 +104,4 @@
        <field id="DET_E3T"     long_name="DET * E3T"                                unit="mmol-N/m2"  > DET * e3t </field >
        <field id="DOM_E3T"     long_name="DOM * E3T"                                unit="mmol-N/m2"  > DOM * e3t </field >
-
-      <!-- CFC11 : variables available with key_cfc -->
-       <field id="CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3" />
-       <field id="CFC11_E3T"   long_name="CFC11 * E3T"                              unit="umol/m2"  > CFC11 * e3t </field >
-       <field id="CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3" />
-       <field id="CFC12_E3T"   long_name="CFC12 * E3T"                              unit="umol/m2"  > CFC12 * e3t </field >
-       <field id="SF6"         long_name="SF6 Concentration"                        unit="umol/m3" />
-       <field id="SF6_E3T"     long_name="SF6 * E3T"                                unit="umol/m2"  > SF6 * e3t </field >
-
-       <!-- Bomb C14 : variables available with key_c14b -->
-       <field id="C14B"       long_name="Bomb C14 Concentration"                    unit="1"         />
-       <field id="C14B_E3T"   long_name="C14B * E3T"                                unit="m"  > C14B * e3t </field >
-
-       <!-- AGE : variables available with key_age -->
-       <field id="Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr"         />
-       <field id="Age_E3T"    long_name="Age * e3t"                                 unit="yr * m"  > Age * e3t </field >
 
 
@@ -183,13 +167,35 @@
        <field id="Kg"          long_name="Gas transfer"                            unit="mol/m2/s/uatm"                   />
        <field id="Dpco2"       long_name="Delta CO2"                               unit="uatm"                            />
+       <field id="pCO2sea"     long_name="surface ocean pCO2"                      unit="uatm"                            />
        <field id="Dpo2"        long_name="Delta O2"                                unit="uatm"                            />
        <field id="Heup"        long_name="Euphotic layer depth"                    unit="m"                               />
-       <field id="Irondep"     long_name="Iron deposition from dust"               unit="mol/m2/s"                        />
-       <field id="Ironsed"     long_name="Iron deposition from sediment"           unit="mol/m2/s"   grid_ref="grid_T_3D" />
+       <!--  -->
+       <field id="PHSFC"       long_name="PH at surface"                          field_ref="PH"          grid_ref="grid_T_SFC" />
+       <field id="CO3SFC"      long_name="Bicarbonates at surface"                field_ref="CO3"         grid_ref="grid_T_SFC" />
+       <field id="CO3satSFC"   long_name="CO3 saturatiob at surface"              field_ref="CO3sat"      grid_ref="grid_T_SFC" />
+       <field id="PHSFC"       long_name="PH at surface"                          field_ref="PH"          grid_ref="grid_T_SFC" />
+       <field id="CO3SFC"      long_name="Bicarbonates at surface"                field_ref="CO3"         grid_ref="grid_T_SFC" />
+       <field id="CO3satSFC"   long_name="CO3 saturatiob at surface"              field_ref="CO3sat"      grid_ref="grid_T_SFC" />
+       <field id="LNnutSFC"    long_name="Nutrient limitation term in Nanophyto"  field_ref="LNnut"       grid_ref="grid_T_SFC" /> 
+       <field id="LDnutSFC"    long_name="Nutrient limitation term in Diatoms"    field_ref="LDnut"       grid_ref="grid_T_SFC" />
+       <field id="LNFeSFC"     long_name="Iron limitation term in Nanophyto"      field_ref="LNFe"        grid_ref="grid_T_SFC" />
+       <field id="LDFeSFC"     long_name="Iron limitation term in Diatoms"        field_ref="LDFe"        grid_ref="grid_T_SFC" />
+       <field id="LNlightSFC"  long_name="Light limitation term in Nanophyto"     field_ref="LNlight"     grid_ref="grid_T_SFC" />
+       <field id="LDlightSFC"  long_name="Light limitation term in Diatoms"       field_ref="LDlight"     grid_ref="grid_T_SFC" />
+
+       <!-- PISCES : external inputs -->
+       <field id="rivDIC"      long_name="Riverine Dissolved Inorganic Carbon inputs"          unit="mol/L/s"                      />
+       <field id="rivDOC"      long_name="Riverine Dissolved Organic Carbon inputs"            unit="mol/L/s"                      />
+       <field id="rivTAlk"     long_name="Riverine Total Alkalinity inputs"                    unit="mol/L/s"                      />
+       <field id="rivNO3"      long_name="Riverine Nitrate inputs"                             unit="mol/L/s"                      />
+       <field id="rivPO4"      long_name="Riverine Phosphate inputs"                           unit="mol/L/s"                      />
+       <field id="rivIron"     long_name="Riverine Iron inputs"                                unit="mol/L/s"                      />
+       <field id="rivSi"       long_name="Riverine Silicon inputs"                             unit="mol/L/s"                      />
+       <field id="IronSupply"  long_name="Total Iron supply from external sources"             unit="mol/m2/s"                     />
+       <field id="NitrSupply"  long_name="Total Nitrogen supply from external sources"         unit="mol/m2/s"                     />
+       <field id="Irondep"     long_name="Iron deposition from dust"                           unit="mol/m2/s"                        />
+       <field id="Ironsed"     long_name="Iron deposition from sediment"                       unit="mol/m2/s"   grid_ref="grid_T_3D" />
        <field id="AtmCo2"      long_name="Atmospheric CO2 concentration"           unit="ppm"                             />
-       <!--  -->
-       <field id="PHSFC"       long_name="PH at surface"                     field_ref="PH"          grid_ref="grid_T_SFC" />
-       <field id="CO3SFC"      long_name="Bicarbonates at surface"           field_ref="CO3"         grid_ref="grid_T_SFC" />
-       <field id="CO3satSFC"   long_name="CO3 saturatiob at surface"         field_ref="CO3sat"      grid_ref="grid_T_SFC" />
+
 
        <!-- PISCES with Kriest parametisation : variables available with key_kriest -->
@@ -215,4 +221,15 @@
        <field id="INTPBSI"     long_name="Vertically integrated of biogenic Si production"     unit="mol/m2/s"                       />
        <field id="INTPCAL"     long_name="Vertically integrated of calcite production"         unit="mol/m2/s"                       />
+       <!-- surface  -->
+       <field id="TPNEWSFC"    long_name="New Primary production of phyto at surface"          field_ref="TPNEW" grid_ref="grid_T_SFC" />
+
+       <!-- PISCES tracers trends -->
+       <field id="INTdtAlk"    long_name="Vertically int. of change of alkalinity"             unit="mol/m2/s"                       />
+       <field id="INTdtDIC"    long_name="Vertically int. of change of dissic    "             unit="mol/m2/s"                       />
+       <field id="INTdtFer"    long_name="Vertically int. of change of iron      "             unit="mol/m2/s"                       />
+       <field id="INTdtDIN"    long_name="Vertically int. of change of nitrogen  "             unit="mol/m2/s"                       />
+       <field id="INTdtDIP"    long_name="Vertically int. of change of phophate  "             unit="mol/m2/s"                       />
+       <field id="INTdtSil"    long_name="Vertically int. of change of silicon   "             unit="mol/m2/s"                       />
+
 
        <!-- PISCES light : variables available with key_pisces_reduced -->
@@ -239,18 +256,4 @@
        <field id="TDETSED"     long_name="TDETSED"                                 unit=""  /> 
 
-
-       <!-- CFC11 : variables available with key_cfc -->
-       <field id="qtr_CFC11"   long_name="Air-sea flux of CFC-11"                  unit="mol/m2/s"   />
-       <field id="qint_CFC11"  long_name="Cumulative air-sea flux of CFC-11"       unit="mol/m2"     />
-       <field id="qtr_CFC12"   long_name="Air-sea flux of CFC-12"                  unit="mol/m2/s"   />
-       <field id="qint_CFC12"  long_name="Cumulative air-sea flux of CFC-12"       unit="mol/m2"     />
-       <field id="qtr_SF6"     long_name="Air-sea flux of SF6"                     unit="mol/m2/s"   />
-       <field id="qint_SF6"    long_name="Cumulative air-sea flux of SF6"          unit="mol/m2"     />
-
-       <!-- Bomb C14 : variables available with key_c14b -->
-       <field id="qtr_C14b"    long_name="Air-sea flux of Bomb C14"                unit="mol/m2/s"   />
-       <field id="qint_C14b"   long_name="Cumulative air-sea flux of Bomb C14"     unit="mol/m2"     />
-       <field id="fdecay"      long_name="Radiactive decay of Bomb C14"            unit="mol/m3"  grid_ref="grid_T_3D"  />
-
      </field_group>
 