Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 3701)
+++ /modipsl/trunk/util/mod.def	(revision 3702)
@@ -703,5 +703,5 @@
 #-H- LMDZOR_v5  LMDZ and ORCHIDEE (closest version to IPSLCM5_v5)
 #-H- LMDZOR_v5  This configuration can be used with LMDZ4(LMDZ4/branches/LMDZ4_AR5) or LMDZ5 (LMDZ5/trunk(default), LMDZ5/branches/LMDZ5_AR5)
-#-M- LMDZOR_v5  Josefine.Ghattas@ipsl.jussieu.fr
+#-M- LMDZOR_v5  Josefine.Ghattas@ipsl.fr
 #-C- LMDZOR_v5  IOIPSL/tags/v2_2_2/src                HEAD               8  IOIPSL/src modeles
 #-C- LMDZOR_v5  tags/ORCHIDEE_1_9_5/ORCHIDEE          HEAD		 14 ORCHIDEE   modeles
@@ -714,5 +714,5 @@
 #-H- LMDZOR_v5.2  This is a working configuration using the latest non-validated version of ORCHIDEE
 #-H- LMDZOR_v5.2  This configuration can be only be used with ORCHDIEE/trunk rev 1078 or later
-#-M- LMDZOR_v5.2  Josefine.Ghattas@ipsl.jussieu.fr
+#-M- LMDZOR_v5.2  Josefine.Ghattas@ipsl.fr
 #-C- LMDZOR_v5.2  IOIPSL/tags/v2_2_2/src              HEAD               8  IOIPSL/src  modeles
 #-C- LMDZOR_v5.2  trunk/ORCHIDEE                      2247		 14 ORCHIDEE    modeles
@@ -726,5 +726,5 @@
 #-H- LMDZORSTRATAER_v6  Configuration in developement and test phase
 #-H- LMDZORSTRATAER_v6  Configuration files corresponds to IPSLCM6.0.7 but the source code for LMDZ correspond to IPSLCM6.0.8
-#-M- LMDZORSTRATAER_v6  Josefine.Ghattas@ipsl.jussieu.fr
+#-M- LMDZORSTRATAER_v6  Josefine.Ghattas@ipsl.fr
 #-C- LMDZORSTRATAER_v6  IOIPSL/tags/v2_2_2/src              HEAD    8    IOIPSL/src         modeles
 #-C- LMDZORSTRATAER_v6  trunk/ORCHIDEE                      3934    14   ORCHIDEE           modeles
@@ -738,5 +738,5 @@
 #-H- LMDZ_v5  LMDZ (closest version to IPSLCM5_v5)
 #-H- LMDZ_v5  This configuration can be used with LMDZ4(LMDZ4/branches/LMDZ4_AR5) or LMDZ5 (LMDZ5/trunk(default), LMDZ5/branches/LMDZ5_AR5)
-#-M- LMDZ_v5  Josefine.Ghattas@ipsl.jussieu.fr
+#-M- LMDZ_v5  Josefine.Ghattas@ipsl.fr
 #-C- LMDZ_v5  IOIPSL/tags/v2_2_2/src              HEAD               8  IOIPSL/src modeles
 #-C- LMDZ_v5  LMDZ5/trunk                         2076               11 LMDZ       modeles
@@ -827,5 +827,5 @@
 
 #-H- LMDZREPR_v5  LMDZ and REBROBUS working configuration
-#-M- LMDZREPR_v5  Josefine.Ghattas@ipsl.jussieu.fr
+#-M- LMDZREPR_v5  Josefine.Ghattas@ipsl.fr
 #-C- LMDZREPR_v5  IOIPSL/tags/v2_2_2/src               HEAD               8  IOIPSL/src  modeles
 #-C- LMDZREPR_v5  LMDZ5/trunk                          2076               11 LMDZ        modeles
@@ -866,5 +866,5 @@
 #-H- ORCHIDEE_trunk  ORCHIDEE offline configuration
 #-H- ORCHIDEE_trunk  This is a working configuration using the latest revision of ORCHIDEE trunk
-#-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.jussieu.fr
+#-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
 #-C- ORCHIDEE_trunk  trunk/libIGCM                            1424    10 libIGCM            .
@@ -874,9 +874,20 @@
 
 
+#-H- ORCHIDEE_2_0  ORCHIDEE offline configuration using the tag ORCHIDEE_2_0
+#-H- ORCHIDEE_2_0  The latest revision of the tag is extracted (HEAD)
+#-H- ORCHIDEE_2_0  This version is used for CMIP6 and included in IPSLCM6.1-LR coupled configuration
+#-M- ORCHIDEE_2_0  Josefine.Ghattas@ipsl.fr
+#-C- ORCHIDEE_2_0  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
+#-C- ORCHIDEE_2_0  trunk/libIGCM                            1424    10 libIGCM            .
+#-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
+#-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
+#-C- ORCHIDEE_2_0  XIOS/dev/XIOS_DEV_CMIP6                  1458    12 XIOS               modeles
+
+
 #-H- ORCHIDEE_AR5 ORCHIDEE offline configuration the version used for AR5 simulations (CMIP5)
 #-H- ORCHIDEE_AR5 Configuration only containing source code for ORCHIDEE and IOIPSL. 
 #-H- ORCHIDEE_AR5 ORCHIDEE tag ORCHIDEE_1_9_5_2
 #-H- ORCHIDEE_AR5 IOIPSL tag 2.2.2
-#-M- ORCHIDEE_AR5 Josefine.Ghattas@ipsl.jussieu.fr
+#-M- ORCHIDEE_AR5 Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_AR5 IOIPSL/tags/v2_2_2/src   	     HEAD        8  IOIPSL/src	   modeles
 #-C- ORCHIDEE_AR5 tags/ORCHIDEE_1_9_5_2/ORCHIDEE     HEAD       14  ORCHIDEE	   modeles