Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_LMDZ.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_LMDZ.xml	(revision 3681)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_LMDZ.xml	(revision 3703)
@@ -1,3 +1,3 @@
-<!-- $Id: CMIP6_ping_atmos.xml 3264 2018-03-14 08:12:46Z fairhead $ -->
+<!-- $Id: CMIP6_ping_atmos.xml 3285 2018-03-19 10:16:35Z fairhead $ -->
 <!-- Ping files generated by dr2xml 0.27 using Data Request 01.00.21 -->
 <!-- lrealms= ['atmos'] -->
@@ -61,5 +61,5 @@
    <field id="CMIP6_cldnci"        field_ref="dummy_XY"                     /> <!-- P1 (m-3) number_concentration_of_ice_crystals_in_air_at_ice_cloud_top : Ice Crystal Number Concentration of Cloud Tops -->
    <field id="CMIP6_cldncl"        field_ref="cldncl" expr=" @cldncl / @lcc" > cldncl / lcc </field> <!-- P1 (m-3) number_concentration_of_cloud_liquid_water_particles_in_air_at_liquid_water_cloud_top : Cloud Droplet Number Concentration of Cloud Tops -->
-   <field id="CMIP6_cldnvi"        field_ref="cldnvi" expr=" @cldnvi / @lcc" > cldnvi / lcc </field> <!-- P1 (m-2) atmosphere_number_content_of_cloud_droplets : Column Integrated Cloud Droplet Number -->
+   <field id="CMIP6_cldnvi"        field_ref="dummy_not_provided"           /> <!-- P1 (m-2) atmosphere_number_content_of_cloud_droplets : Column Integrated Cloud Droplet Number -->
    <field id="CMIP6_cldwatmxrat"   field_ref="cldwatmxrat"                  /> <!-- P2 (1) cloud_liquid_water_mixing_ratio : Cloud Water Mixing Ratio -->
    <field id="CMIP6_clhcalipso"    field_ref="pclhcalipso"                  /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : CALIPSO Percentage High Level Cloud -->
@@ -76,5 +76,5 @@
    <field id="CMIP6_cls"           field_ref="dummy_XYA"                    /> <!-- P1 (%) stratiform_cloud_area_fraction_in_atmosphere_layer : Stratiform Cloud Area Fraction -->
    <field id="CMIP6_clt"           field_ref="cldt"> cldt*100.        </field> <!-- P1 (%) cloud_area_fraction : for the whole atmospheric column, as seen from the surface or the top of the atmosphere. Includes both large-scale and convective cloud. -->
-   <field id="CMIP6_clt_land"      field_ref="dummy_XY"         /> <!-- P1 (%) cloud_area_fraction : Total cloud fraction -->
+   <field id="CMIP6_clt_land"      field_ref="cldt"> cldt*100.        </field> <!-- P1 (%) cloud_area_fraction : Total cloud fraction -->
    <field id="CMIP6_cltc"          field_ref="dummy_XY"         /> <!-- P1 (%) convective_cloud_area_fraction : For the whole atmospheric column, as seen from the surface or the top of the atmosphere. Includes only convective cloud. -->
    <field id="CMIP6_cltcalipso"    field_ref="pcltcalipso"                  /> <!-- P1 (%) cloud_area_fraction :  CALIPSO Total Cloud Fraction -->
@@ -116,14 +116,14 @@
    <field id="CMIP6_hfdsl"         field_ref="bils"> bils*fract_ter   </field> <!-- P1 (W m-2) surface_downward_heat_flux_in_air : Ground heat flux -->
    <field id="CMIP6_hfdsnb"        field_ref="dummy_not_provided"           /> <!-- P1 (W m-2)  : Downward heat flux at snow botton -->
-   <field id="CMIP6_hfls_ist"      field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_upward_latent_heat_flux : Surface Upward Latent Heat Flux -->
-   <field id="CMIP6_hfls_land"     field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_upward_latent_heat_flux : Latent heat flux -->
+   <field id="CMIP6_hfls_ist"      field_ref="lat_lic"                      /> <!-- P1 (W m-2) surface_upward_latent_heat_flux : Surface Upward Latent Heat Flux -->
+   <field id="CMIP6_hfls_land"     field_ref="lat_ter"                      /> <!-- P1 (W m-2) surface_upward_latent_heat_flux : Latent heat flux -->
    <field id="CMIP6_hfls"          field_ref="flat"> flat*(-1.)       </field>  <!-- P1 (W m-2) surface_upward_latent_heat_flux : Surface Upward Latent Heat Flux -->
    <field id="CMIP6_hfmlt"         field_ref="dummy_not_provided"           /> <!-- P1 (W m-2) surface_snow_and_ice_melt_heat_flux : Energy of fusion -->
    <field id="CMIP6_hfrs"          field_ref="dummy_not_provided"           /> <!-- P1 (W m-2) temperature_flux_due_to_rainfall_expressed_as_heat_flux_onto_snow_and_ice : Heat transferred to snowpack by rainfall -->
    <field id="CMIP6_hfsbl"         field_ref="dummy_not_provided"           /> <!-- P1 (W m-2) surface_snow_and_ice_sublimation_heat_flux : Energy of sublimation -->
-   <field id="CMIP6_hfss"          field_ref="sens"> sens*(-1.) </field>       <!-- P1 (W m-2) surface_upward_sensible_heat_flux : Surface Upward Sensible Heat Flux -->
-   <field id="CMIP6_hfss_land"     field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_upward_sensible_heat_flux : Sensible heat flux -->
-   <field id="CMIP6_hfss_ist"      field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_upward_sensible_heat_flux : Surface Upward Sensible Heat Flux -->
-   <field id="CMIP6_hur"           field_ref="rhum"> rhum*100. </field> <!-- P1 (%) relative_humidity : This is the relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
+   <field id="CMIP6_hfss"          field_ref="sens"> sens*(-1.)       </field> <!-- P1 (W m-2) surface_upward_sensible_heat_flux : Surface Upward Sensible Heat Flux -->
+   <field id="CMIP6_hfss_land"     field_ref="sens_ter"                     /> <!-- P1 (W m-2) surface_upward_sensible_heat_flux : Sensible heat flux -->
+   <field id="CMIP6_hfss_ist"      field_ref="sens_lic"                     /> <!-- P1 (W m-2) surface_upward_sensible_heat_flux : Surface Upward Sensible Heat Flux -->
+   <field id="CMIP6_hur"           field_ref="rhum"> rhum*100.        </field> <!-- P1 (%) relative_humidity : This is the relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
    <field id="CMIP6_hurs"          field_ref="rh2m"             /> <!-- P1 (%) relative_humidity : This is the relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->
    <field id="CMIP6_hursmax"       field_ref="rh2m_max" freq_op="1d" > @rh2m_max </field> <!-- P1 (%) relative_humidity : This is the relative humidity with respect to liquid water for T> 0 C, and with respect to ice for T<0 C. -->   
@@ -142,5 +142,5 @@
    <field id="CMIP6_jpdftaureicemodis" field_ref="crimodis"              /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : MODIS Optical Thickness-Particle Size joint  distribution, ice -->
    <field id="CMIP6_jpdftaureliqmodis" field_ref="crlmodis"              /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : MODIS Optical Thickness-Particle Size joint  distribution, liquid -->
-   <field id="CMIP6_latitude"      field_ref="io_lat"                    /> <!-- P1 (degrees_north) latitude : Latitude -->
+   <field id="CMIP6_latitude"      field_ref="dummy_not_provided"        /> <!-- P1 (degrees_north) latitude : Latitude -->
    <field id="CMIP6_lim"           field_ref="dummy_not_provided"        /> <!-- P2 (kg) land_ice_mass : Greenland -->
    <field id="CMIP6_limnsw"        field_ref="dummy_not_provided"        /> <!-- P2 (kg) land_ice_mass_not_displacing_sea_water : Greenland -->
@@ -154,5 +154,5 @@
    <field id="CMIP6_loadsoa"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2) atmosphere_mass_content_of_secondary_particulate_organic_matter_dry_aerosol : Load of Dry Aerosol Secondary Organic Matter -->
    <field id="CMIP6_loadss"        field_ref="loadss"           /> <!-- P1 (kg m-2) atmosphere_mass_content_of_seasalt_dry_aerosol : Load of Seasalt -->
-   <field id="CMIP6_longitude"     field_ref="io_lon"              /> <!-- P1 (degrees_east) longitude : Longitude -->
+   <field id="CMIP6_longitude"     field_ref="dummy_not_provided"         /> <!-- P1 (degrees_east) longitude : Longitude -->
    <field id="CMIP6_lwsffluxaero"  field_ref="dummy_not_provided"         /> <!-- P2 (W m-2) longwave__flux__due_to_volcanic_aerosols_at_the_surface : downwelling longwave  flux  due to volcanic aerosols at the surface to be diagnosed through double radiation call -->
    <field id="CMIP6_lwsrfasdust"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_instantaneous_longwave_forcing_due_to_dust : All-sky Surface Longwave radiative flux due to Dust -->
@@ -186,15 +186,15 @@
    <field id="CMIP6_prlsns"        field_ref="pr_lsc_i"                  /> <!-- P2 (kg m-2 s-1) large_scale_snowfall_flux : large-scale precipitation of all forms of water in the solid phase. -->
    <field id="CMIP6_prlsprof"      field_ref="pr_lsc_l"                  /> <!-- P2 (kg m-2 s-1) large_scale_rainfall_flux : Stratiform Rainfall Flux -->
-   <field id="CMIP6_prra_land"     field_ref="dummy_XY"         /> <!-- P2 (kg m-2 s-1) rainfall_flux : rainfall_flux -->
-   <field id="CMIP6_prra_ifs"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) rainfall_flux : computed as the total mass of liquid water falling as liquid rain  into the ice-free portion of the ocean divided by the area of the ocean portion of the grid cell. -->
-   <field id="CMIP6_prra_ist"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) rainfall_flux : over Land Ice//quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
+   <field id="CMIP6_prra_land"     field_ref="rain_fall"         /> <!-- P2 (kg m-2 s-1) rainfall_flux : rainfall_flux -->
+   <field id="CMIP6_prra_ifs"      field_ref="rain_fall"         /> <!-- P1 (kg m-2 s-1) rainfall_flux : computed as the total mass of liquid water falling as liquid rain  into the ice-free portion of the ocean divided by the area of the ocean portion of the grid cell. -->
+   <field id="CMIP6_prra_ist"      field_ref="rain_fall"         /> <!-- P1 (kg m-2 s-1) rainfall_flux : over Land Ice//quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
    <field id="CMIP6_prra"          field_ref="rain_fall"                 /> <!-- P1 (kg m-2 s-1) rainfall_flux : Rainfall rate -->
-   <field id="CMIP6_prrc_land"     field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) convective_rainfall_flux : convective_rainfall_flux -->
+   <field id="CMIP6_prrc_land"     field_ref="rain_con"         /> <!-- P1 (kg m-2 s-1) convective_rainfall_flux : convective_rainfall_flux -->
    <field id="CMIP6_prrc"          field_ref="rain_con"                  /> <!-- P1 (kg m-2 s-1) convective_rainfall_flux : Convective Rainfall rate -->
    <field id="CMIP6_prrsn"         field_ref="dummy_not_provided"       /> <!-- P1 (1) mass_fraction_of_rainfall_onto_snow : mass_fraction_of_rainfall_onto_snow -->
    <field id="CMIP6_prsn"          field_ref="snow"                     /> <!-- P1 (kg m-2 s-1) snowfall_flux : at surface; includes precipitation of all forms of water in the solid phase -->
-   <field id="CMIP6_prsn_ifs"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) snowfall_flux : computed as the total mass per unit time of solid-phase precipitation falling into the ice-free portion of the ocean divided by the area of the ocean portion of the grid cell.   (Snowfall flux includes all types of solid-phase precipitation.) -->
-   <field id="CMIP6_prsn_ist"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) snowfall_flux : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
-   <field id="CMIP6_prsnc_land"    field_ref="dummy_XYA"        /> <!-- P2 (kg m-2 s-1) convective_snowfall_flux : convective_snowfall_flux -->
+   <field id="CMIP6_prsn_ifs"      field_ref="snow"                     /> <!-- P1 (kg m-2 s-1) snowfall_flux : computed as the total mass per unit time of solid-phase precipitation falling into the ice-free portion of the ocean divided by the area of the ocean portion of the grid cell.   (Snowfall flux includes all types of solid-phase precipitation.) -->
+   <field id="CMIP6_prsn_ist"      field_ref="snow"                     /> <!-- P1 (kg m-2 s-1) snowfall_flux : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
+   <field id="CMIP6_prsnc_land"    field_ref="pr_con_i"        /> <!-- P2 (kg m-2 s-1) convective_snowfall_flux : convective_snowfall_flux -->
    <field id="CMIP6_prsnc"         field_ref="pr_con_i"                 /> <!-- P2 (kg m-2 s-1) convective_snowfall_flux : Convective Snowfall rate -->
    <field id="CMIP6_prsnsn"        field_ref="dummy_not_provided"       /> <!-- P1 (1) mass_fraction_of_snowfall_onto_snow : mass_fraction_of_snowfall_onto_snow -->
@@ -219,10 +219,10 @@
    <field id="CMIP6_rldcs"         field_ref="rldcs"            /> <!-- P1 (W m-2) downwelling_longwave_flux_in_air_assuming_clear_sky : Downwelling Clear-Sky Longwave Radiation -->
    <field id="CMIP6_rldcs4co2"     field_ref="rldcs4co2"        /> <!-- P1 (W m-2) downwelling_longwave_flux_in_air_assuming_clear_sky : Downwelling Clear-Sky Longwave Radiation 4XCO2 Atmosphere -->
-   <field id="CMIP6_rlds_ist"      field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_downwelling_longwave_flux_in_air : Surface Downwelling Longwave Radiation -->
+   <field id="CMIP6_rlds_ist"      field_ref="LWdnSFC"          /> <!-- P1 (W m-2) surface_downwelling_longwave_flux_in_air : Surface Downwelling Longwave Radiation -->
    <field id="CMIP6_rlds"          field_ref="LWdnSFC"          /> <!-- P1 (W m-2) surface_downwelling_longwave_flux_in_air : Surface Downwelling Longwave Radiation -->
    <field id="CMIP6_rldscs"        field_ref="LWdnSFCclr"       /> <!-- P1 (W m-2) surface_downwelling_longwave_flux_in_air : Surface Downwelling Longwave Radiation -->
    <field id="CMIP6_rls"           field_ref="soll"             /> <!-- P1 (W m-2) surface_net_downward_longwave_flux : Net Longwave Surface Radiation -->
-   <field id="CMIP6_rls_land"      field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_net_downward_longwave_flux : Net longwave radiation -->
-   <field id="CMIP6_rlu"           field_ref="rlu"              />  <!-- P1 (W m-2) upwelling_longwave_flux_in_air : Fluxes are requested at all levels -->
+   <field id="CMIP6_rls_land"      field_ref="flw_ter"             /> <!-- P1 (W m-2) surface_net_downward_longwave_flux : Net longwave radiation -->
+   <field id="CMIP6_rlu"           field_ref="rlu"              /> <!-- P1 (W m-2) upwelling_longwave_flux_in_air : Fluxes are requested at all levels -->
    <field id="CMIP6_rlu4co2"       field_ref="rlu4co2"          /> <!-- P1 (W m-2) upwelling_longwave_flux_in_air : Upwelling Longwave Radiation 4XCO2 Atmosphere -->
    <field id="CMIP6_rlucs"         field_ref="rlucs"            /> <!-- P1 (W m-2) upwelling_longwave_flux_in_air_assuming_clear_sky : Includes also the fluxes at the surface and TOA. -->
@@ -246,5 +246,5 @@
    <field id="CMIP6_rsdsdiff"      field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_diffuse_downwelling_shortwave_flux_in_air : Surface Diffuse Downwelling Shortwave Radiation -->
    <field id="CMIP6_rsdt"          field_ref="SWdnTOA"          /> <!-- P1 (W m-2) toa_incoming_shortwave_flux : TOA Incident Shortwave Radiation -->
-   <field id="CMIP6_rss_land"      field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_net_downward_shortwave_flux : Net shortwave radiation -->
+   <field id="CMIP6_rss_land"      field_ref="fsw_ter"             /> <!-- P1 (W m-2) surface_net_downward_shortwave_flux : Net shortwave radiation -->
    <field id="CMIP6_rss"           field_ref="sols"             /> <!-- P1 (W m-2) surface_net_downward_shortwave_flux : Net Shortwave Surface Radiation -->
    <field id="CMIP6_rsu"           field_ref="rsu"              /> <!-- P1 (W m-2) upwelling_shortwave_flux_in_air : Fluxes are requested at all levels -->
@@ -290,5 +290,5 @@
    <field id="CMIP6_t2"            field_ref="temp"> temp*temp   </field> <!-- P2 (K2) square_of_air_temperature : square_of_air_temperature -->
    <field id="CMIP6_ta"            field_ref="temp"             /> <!-- P1 (K) air_temperature : Air Temperature -->
-   <field id="CMIP6_tas_ist"       field_ref="dummy_XY"         /> <!-- P1 (K) air_temperature : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
+   <field id="CMIP6_tas_ist"       field_ref="t2m_lic"          /> <!-- P1 (K) air_temperature : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
    <field id="CMIP6_tas"           field_ref="t2m"              /> <!-- P1 (K) air_temperature : This is sampled synoptically. -->
    <field id="CMIP6_tasmax"        field_ref="tasmax" freq_op="1d"> @tasmax </field> <!-- P1 (K) air_temperature : monthly mean of the daily-maximum near-surface air temperature. -->  
@@ -328,5 +328,5 @@
    <field id="CMIP6_tr"            field_ref="tsol"             /> <!-- P1 (K) surface_temperature : Surface Radiative Temperature -->
    <field id="CMIP6_ts"            field_ref="tsol"             /> <!-- P1 (K) surface_temperature : Surface temperature (skin for open ocean) -->
-   <field id="CMIP6_ts_ist"        field_ref="dummy_XY"         /> <!-- P1 (K) surface_temperature : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
+   <field id="CMIP6_ts_ist"        field_ref="tsol_lic"         /> <!-- P1 (K) surface_temperature : quantity averaged over ice sheet (grounded ice sheet and floating ice shelf) only. Needed to analyse the impact of downscaling methods -->
    <field id="CMIP6_tsns"          field_ref="dummy_not_provided"         /> <!-- P1 (K) surface_temperature : Snow Surface Temperature -->
    <field id="CMIP6_twap"          field_ref="vitw">vitw*temp </field> <!-- P2 (K Pa s-1) product_of_omega_and_air_temperature : air_temperature_times_omega -->
@@ -366,4 +366,15 @@
    <field id="CMIP6_zmswaero"      field_ref="dummy_not_provided"        /> <!-- P1 (K s-1) shortwave_heating_rate_due_to_volcanic_aerosols : shortwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
    <field id="CMIP6_zmtnt"         field_ref="dtphy"            /> <!-- P1 (K s-1) tendency_of_air_temperature_due_to_diabatic_processes : Zonal Mean Diabatic Heating Rates -->
+   <field id="CMIP6_ap" field_ref="Ahyb" /><!-- Ap hybrid coordinate array for level interfaces -->
+   <field id="CMIP6_ap_bnds" field_ref="Ahyb_bounds" /><!-- Ap hybrid coordinate bounds -->
+   <field id="CMIP6_b" field_ref="Bhyb" /><!-- Bp hybrid coordinate array for level interfaces -->
+   <field id="CMIP6_b_bnds" field_ref="Bhyb_bounds" /><!-- Bp hybrid coordinate bounds -->
+   <field id="CMIP6_ahp" field_ref="Ahyb_mid" /><!-- Aps hybrid coordinate array for mid-levels -->
+   <field id="CMIP6_ahp_bnds" field_ref="Ahyb_mid_bounds" /><!-- Aps hybrid coordinate bounds -->
+   <field id="CMIP6_bh" field_ref="Bhyb_mid" /><!-- Bps hybrid coordinate array for mid-levels -->
+   <field id="CMIP6_bh_bnds" field_ref="Bhyb_mid_bounds" /><!-- Bps hybrid coordinate bounds -->
+
+
+
 <!-- for variables which realm equals one of _aerosol-->
    <field id="CMIP6_abs550aer"     field_ref="abs550aer"         /> <!-- P1 (1.0) atmosphere_absorption_optical_thickness_due_to_ambient_aerosol : Ambient Aerosol Absorption Optical Thickness at 550 nm -->
@@ -378,5 +389,5 @@
    <field id="CMIP6_c3h8"          field_ref="dummy_XYA"        /> <!-- P1 (mol mol-1) mole_fraction_of_propane_in_air : C3H8  volume mixing ratio -->
    <field id="CMIP6_ccn"           field_ref="dummy_XY"         /> <!-- P1 (m-3) number_concentration_of_cloud_condensation_nuclei_at_stp_in_air : proposed name: number_concentration_of_ambient_aerosol_in_air_at_liquid_water_cloud_top -->
-   <field id="CMIP6_cdnc"          field_ref="scdnc" expr="@scdnc / @lcc3d" > scdnc / lcc3d        </field> <!-- P1 (m-3) number_concentration_of_cloud_liquid_water_particles_in_air : Cloud Droplet Number Concentration in liquid water clouds. -->
+   <field id="CMIP6_cdnc"          field_ref="scdnc" expr="@scdnc / @lcc3d " > scdnc / lcc3d        </field><!-- P1 (m-3) number_concentration_of_cloud_liquid_water_particles_in_air : Cloud Droplet Number Concentration in liquid water clouds. -->
    <field id="CMIP6_ch3coch3"      field_ref="dummy_XYA"        /> <!-- P1 (mol mol-1) mole_fraction_of_acetone_in_air : CH3COCH3  volume mixing ratio -->
    <field id="CMIP6_cheaqpso4"     field_ref="dummy_XYA"        /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_sulfate_dry_aerosol_particles_due_to_aqueous_phase_net_chemical_production : proposed name: tendency_of_atmosphere_mass_content_of_sulfate_dry_aerosol_due_to_aqueous_phase_net_chemical_production -->
@@ -496,4 +507,6 @@
    <field id="CMIP6_wetss"         field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_seasalt_dry_aerosol_particles_due_to_wet_deposition : wet deposition rate of seasalt -->
    <field id="CMIP6_ztp"           field_ref="z_tropopause"         /> <!-- P1 (m) tropopause_altitude : 2D monthly mean thermal tropopause calculated using WMO tropopause definition on 3d temperature -->
+
+
 <!-- for variables which realm equals one of _atmosChem-->
    <field id="CMIP6_flashrate"     field_ref="dummy_XY"         /> <!-- P1 (km-2 s-1) lightning_flash_rate : proposed name: lightning_flash_rate (units to be interpreted as "counts km-2 s-1) -->
@@ -501,4 +514,6 @@
    <field id="CMIP6_oxprod"        field_ref="dummy_XYA"        /> <!-- P1 (mol m-3 s-1) tendency_of_mole_concentration_of_ozone_and_atomic_oxygen_and_1D_oxygen_atom_due_to_chemical_production_and_photolysis : total production rate of o+o1d+o3 including o2 photolysis and all o3 producing reactions -->
    <field id="CMIP6_vmrox"         field_ref="dummy_XYA"        /> <!-- P1 (mol mol-1) mole_fraction_of_ozone_and_atomic_oxygen_and_1D_oxygen_atom : Mole Fraction of Ox -->
+
+
 <!-- for variables which realm equals one of _landIce-->
    <field id="CMIP6_acabf"         field_ref="dummy_XY"         /> <!-- P2 (kg m-2 s-1) land_ice_surface_specific_mass_balance_flux : quantity averaged over ice sheet only, to avoid contamination from other surfaces (eg: permafrost) -->
@@ -567,12 +582,4 @@
    <field id="CMIP6_zvelbase"      field_ref="dummy_XY"         /> <!-- P3 (m s-1) land_ice_basal_upward_velocity : Upward-component of land ice basal velocity -->
    <field id="CMIP6_zvelsurf"      field_ref="dummy_XY"         /> <!-- P3 (m s-1) land_ice_surface_upward_velocity : Upward component of land ice surface velocity -->
-   <field id="CMIP6_ap" field_ref="Ahyb" /><!-- Ap hybrid coordinate array for level interfaces -->
-   <field id="CMIP6_ap_bnds" field_ref="Ahyb_bounds" /><!-- Ap hybrid coordinate bounds -->
-   <field id="CMIP6_b" field_ref="Bhyb" /><!-- Bp hybrid coordinate array for level interfaces -->
-   <field id="CMIP6_b_bnds" field_ref="Bhyb_bounds" /><!-- Bp hybrid coordinate bounds -->
-   <field id="CMIP6_ahp" field_ref="Ahyb_mid" /><!-- Aps hybrid coordinate array for mid-levels -->
-   <field id="CMIP6_ahp_bnds" field_ref="Ahyb_mid_bounds" /><!-- Aps hybrid coordinate bounds -->
-   <field id="CMIP6_bh" field_ref="Bhyb_mid" /><!-- Bps hybrid coordinate array for mid-levels -->
-   <field id="CMIP6_bh_bnds" field_ref="Bhyb_mid_bounds" /><!-- Bps hybrid coordinate bounds -->
 </field_definition>
 </context>
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml	(revision 3681)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml	(revision 3703)
@@ -149,5 +149,4 @@
    <field id="CMIP6_sfriver"       field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) salt_flux_into_sea_water_from_rivers : This field is physical, and it arises when rivers carry a nonzero salt content.  Often this is zero, with rivers assumed to be fresh. NEMO-RD : not relevant for IPSLCM6 -->
    <field id="CMIP6_sftof"         field_ref="iceconc_pct" > 100 - this </field> <!-- P1 (%) sea_area_fraction : This is the area fraction at the ocean surface. **** NEMO-RD: variable already provided in ping_seaIce under name siconc - we decide to keep it here as well -->
-   <field id="CMIP6_sithick"       field_ref="dummy_XY"         /> <!-- P1 (m) sea_ice_thickness : Actual (floe) thickness of sea ice (NOT volume divided by grid area as was done in CMIP5) **** NEMO-RD: this field is not in data request ocean, but in data request simip. we have verified that it is mentioned in ping_seaIce indeed. --> 
    <field id="CMIP6_sltbasin"      field_ref="sopst_vs_3bsn"> this * 1e6 * $convSpsu   </field> <!-- P1 (kg s-1) northward_ocean_salt_transport : function of latitude, basin **** NEMO-RD: requested is as a function of latitude. In principle, we do not want to translate y into latitude. to be written in meta data -->
    <field id="CMIP6_sltnortha"     field_ref="sopst_atl"> this * 1e6 * $convSpsu </field> <!-- P1 (kg s-1) northward_ocean_salt_transport : unset -->
@@ -205,4 +204,5 @@
    <field id="CMIP6_zossq"         field_ref="sshdyn2"         /> <!-- P1 (m2) square_of_sea_surface_height_above_geoid : Surface ocean geoid defines z=0. -->
    <field id="CMIP6_zostoga"       field_ref="scsshtst" />       <!-- P1 (m) global_average_thermosteric_sea_level_change : There is no CMIP6 request for zosga nor zossga. -->
+
 <!-- for variables which realm equals one of _seaIce-->
    <field id="CMIP6_siage"         field_ref="iceage"            /> <!-- P1 (s) age_of_sea_ice : Age of sea ice -->
@@ -295,4 +295,7 @@
    <field id="CMIP6_sndmasswindrif" field_ref="dummy_XY"         /> <!-- P2 (kg m-2 s-1) sndmasswindrif : the rate of change of snow mass through wind drift of snow (from sea-ice into the sea) divided by grid-cell area -->
    <field id="CMIP6_snmassacrossline" field_ref="transport_snmasse_transect"        /> <!-- P2 (kg s-1) snmassacrossline : net (sum of transport in all directions) snow mass transport through the following four passages, positive into the Arctic Ocean 1. Fram Strait = (11.5W,81.3N to (10.5E,79.6N) 2. Canadian Archipelego = (128.2W,70.6N) to (59.3W,82.1N) 3. Barents opening = (16.8E,76.5N) to (19.2E,70.2N) 4. Bering Strait = (171W,66.2N) to (166W,65N) -->
+
+
+
 <!-- for variables which realm equals one of _ocean_seaIce_ocnBgchem-->
    <field id="CMIP6_arag"          field_ref="dummy_XYO"        /> <!-- P2 (mol m-3) mole_concentration_of_aragonite_expressed_as_carbon_in_sea_water : Sum of particulate aragonite components (e.g. Phytoplankton, Detrital, etc.) -->