Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/lmdz.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/lmdz.card	(revision 3726)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/lmdz.card	(revision 3727)
@@ -103,5 +103,5 @@
 List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
         (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
-        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    Post_1M_histmthNMC),    \
+        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),    \
         (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
         (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
@@ -116,5 +116,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds, aire)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFC, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, ave_t2m_daily_max, ave_t2m_daily_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, od550_STRAT, sconcoa, sconcbc, sconcso4, solswai, solswad, swsrfcf_zero, R_ecc, R_peri, R_incl, solaire, rsun1, co2_ppm, CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt, colO3_strat, colO3_trop )
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFC, LWupSFCclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWdnTOA, SWupTOA, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, ave_t2m_daily_max, ave_t2m_daily_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, v10m, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, od550_STRAT, sconcoa, sconcbc, sconcso4, R_ecc, R_peri, R_incl, solaire, rsun1, co2_ppm, CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt, colO3_strat, colO3_trop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (temp, theta, ovap, geop, vitu, vitv, vitw, pres, rneb, rhum, paprs, ec550aer, concoa, concbc, concso4, concss, concdust)
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card	(revision 3726)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card	(revision 3727)
@@ -74,7 +74,7 @@
         (${config_UserChoices_JobName}_1m_scalar.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc     , Post_1M_scalar),\
         (${config_UserChoices_JobName}_1m_grid_T.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc     , Post_1M_grid_T),\
-        (${config_UserChoices_JobName}_1m_grid_U.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc     , NONE          ),\
-        (${config_UserChoices_JobName}_1m_grid_V.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc     , NONE          ),\
-        (${config_UserChoices_JobName}_1m_grid_W.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1m_grid_U.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc     , Post_1M_grid_U),\
+        (${config_UserChoices_JobName}_1m_grid_V.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc     , Post_1M_grid_V),\
+        (${config_UserChoices_JobName}_1m_grid_W.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc     , Post_1M_grid_W),\
         (${config_UserChoices_JobName}_1m_diaptr.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr.nc     , Post_1M_diaptr),\
         (${config_UserChoices_JobName}_1m_trdtra.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_trdtra.nc     , NONE          ),\
@@ -120,7 +120,7 @@
 GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (tauuo, sozohetr, sozosatr)
-ChunckJob2D = NONE
+ChunckJob2D = OFF
 TimeSeriesVars3D = (e3u, uo)
-ChunckJob3D = 100Y
+ChunckJob3D = OFF
 Seasonal=ON
 
@@ -129,7 +129,7 @@
 GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (tauvo, somehetr, somesatr)
-ChunckJob2D = NONE
+ChunckJob2D = OFF
 TimeSeriesVars3D = (e3v, vo)
-ChunckJob3D = 100Y
+ChunckJob3D = OFF
 Seasonal=ON
 
@@ -138,12 +138,12 @@
 GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ( )
-ChunckJob2D = NONE
+ChunckJob2D = OFF
 TimeSeriesVars3D = ( )
-ChunckJob3D = 100Y
+ChunckJob3D = OFF
 Seasonal=ON
 
 [Post_1M_diaptr]
 Patches = ()
-GatherWithInternal = (nav_lat, deptht, depthw, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lat, depthw, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (zomsfglo, zomsfatl, zomsfpac, zomsfind, zomsfipc)
 ChunckJob2D = NONE
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card	(revision 3726)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/orchidee.card	(revision 3727)
@@ -43,5 +43,6 @@
 List= (${R_IN}/CMIP6/${config_UserChoices_ExperimentName}/${year}/dr2xml_orchidee.xml, .)
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
-            (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc),\
+            (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
+
 
 [SmoothFiles]
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card	(revision 3726)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/pisces.card	(revision 3727)
@@ -53,10 +53,8 @@
         (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
         (${config_UserChoices_JobName}_1y_age.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_age.nc       , NONE      ) , \
-	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
-        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE   ) , \
-        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , NONE   ) , \
-	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
-
-
+    	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
+        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T) , \
+        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T) , \
+    	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 [Post_1D_bioscalar]
@@ -82,7 +80,7 @@
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
-ChunckJob2D = 50Y
+ChunckJob2D = OFF
 TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
-ChunckJob3D = 50Y
+ChunckJob3D = OFF
 Seasonal=ON
 
@@ -91,7 +89,7 @@
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
-ChunckJob2D = 50Y
+ChunckJob2D = OFF
 TimeSeriesVars3D = (TPP)
-ChunckJob3D = 50Y
+ChunckJob3D = OFF
 Seasonal=ON
 