Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 3731)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 3732)
@@ -24,4 +24,5 @@
             (${pisces_UserChoices_R_DYN}/dyna_grid_U.nc, .), \
             (${pisces_UserChoices_R_DYN}/dyna_grid_V.nc, .), \
+            (${pisces_UserChoices_R_DYN}/dyna_grid_W.nc, .), \
             (${R_IN}/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/TDIC_GLODAPv2.1_annual_r360x180xl31.nc, data_DIC_nomask.nc ), \
             (${R_IN}/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/TALK_GLODAPv2.1_annual_r360x180xl31.nc, data_ALK_nomask.nc ), \
@@ -72,6 +73,6 @@
 	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
-        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
+        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , NONE   ) , \
 	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
@@ -96,37 +97,2 @@
 Seasonal=OFF
 
-[Post_1M_ptrc_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
-ChunckJob3D = 50Y
-Seasonal=ON
-
-[Post_1M_diad_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (TPP)
-ChunckJob3D = 50Y
-Seasonal=ON
-
-[Post_1Y_ptrc_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = OFF
-TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si )
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1Y_diad_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (PAR, TPP)
-ChunckJob3D = 50Y
-Seasonal=OFF
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 3731)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 3732)
@@ -39,5 +39,4 @@
 #D- For each component, Name of component, Tag of component
 MBG= (pisces, PISCES)
-IOS= (xios, XIOS)
 #========================================================================
 #D-- Executable -
@@ -46,5 +45,4 @@
 #D- For each component, Real name of executable
 MBG= (nemo.exe, nemo, 32MPI)
-IOS= (xios_server.exe, xios.x, 4MPI)
 #========================================================================
 #D-- Restarts -
@@ -95,17 +93,3 @@
 #SeasonalFrequencyOffset=0
 PackFrequency=10Y
-
 #========================================================================
-#D-- IOS -
-[IOS]
-WriteFrequency=""
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1899-12-31
-# Define restart simulation name for this component
-RestartJobName=EXP00
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/piControl
-# Old component name for restart (if empty, use new name)
-OldName=
-#========================================================================
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 3731)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 3732)
@@ -77,6 +77,6 @@
 	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
-        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
+        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , NONE   ) , \
 	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
@@ -101,37 +101,2 @@
 Seasonal=OFF
 
-[Post_1M_ptrc_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
-ChunckJob3D = 50Y
-Seasonal=ON
-
-[Post_1M_diad_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (TPP)
-ChunckJob3D = 50Y
-Seasonal=ON
-
-[Post_1Y_ptrc_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = OFF
-TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si )
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1Y_diad_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (PAR, TPP)
-ChunckJob3D = 50Y
-Seasonal=OFF
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card	(revision 3731)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card	(revision 3732)
@@ -39,5 +39,4 @@
 #D- For each component, Name of component, Tag of component
 MBG= (pisces, PISCES)
-IOS= (xios, XIOS)
 #========================================================================
 #D-- Executable -
@@ -46,5 +45,4 @@
 #D- For each component, Real name of executable
 MBG= (nemo.exe, nemo, 32MPI)
-IOS= (xios_server.exe, xios.x, 4MPI)
 #========================================================================
 #D-- Restarts -
@@ -95,17 +93,3 @@
 #SeasonalFrequencyOffset=0
 PackFrequency=10Y
-
 #========================================================================
-#D-- IOS -
-[IOS]
-WriteFrequency=""
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=1899-12-31
-# Define restart simulation name for this component
-RestartJobName=EXP00
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/piControl
-# Old component name for restart (if empty, use new name)
-OldName=
-#========================================================================